module TbCommerce::ControllerHelpers
  extend ActiveSupport::Concern

  included do
    helper_method :tb_commerce_current_cart
  end

  def tb_commerce_current_cart
    @_tb_commerce_current_cart ||= TbCommerce::Cart.find_or_create_by({
      :session_id => session.id,
      :spud_user_id => current_user.try(:id),
      :is_completed => false
    })
    return @_tb_commerce_current_cart
  end

end
