class TbCommerce::CartsController < ApplicationController

  before_action :load_cart

  def show
    render 'show'
  end

private

  def load_cart
    @cart = tb_commerce_current_cart
  end

  def require_cart_not_empty
    if @cart.cart_is_empty?
      redirect_to tb_commerce_cart_path and return false
    end
  end

end
