module TbCommerce::ApplicationHelper
  def imageable_tag(imageable, params = { size: :tb_commerce_medium })
    url = ""
    if !imageable
      #write a default image
      return
    end

    if imageable.is_a?(TbCommerce::Image)
      url = imageable.image.url(params[:size])
    else imageable.is_a?(TbCommerce::Product) || imageable.is_a?(TbCommerce::Category) || imageable.is_a?(TbCommerce::ProductSku)
      featured_image = imageable.featured_image
      if featured_image
        url = featured_image.image.url(params[:size])
      else
        url = imageable.images.first().image.url(params[:size])
      end
    end

    image_tag(url)
  end
end
