module TbCommerce::ProductsHelper
	def price_range(product)
		prices = product.product_skus.sort{ |x,y| x.add_price <=> y.add_price }
		number_to_currency(prices.first.price) + ' - ' + number_to_currency(prices.last.price)
	end

	def price_minimum(product)
		prices = product.product_skus.sort{ |x,y| x.add_price <=> y.add_price }
		number_to_currency(prices.first.price)
	end

	def price_maximum(product)
		prices = product.product_skus.sort{ |x,y| x.add_price <=> y.add_price }
		number_to_currency(prices.last.price)
	end
end
