json.cache! @skus do
  json.array! @skus do |sku|
    json.cache! sku do
      json.(sku, :id, :sku, :stock)
      json.price number_to_currency(sku.price)
      json.images do
        json.array! sku.image_links do |image_link|
          json.(image_link.image, :id, :image_file_name)
          json.url image_link.image.image.url(:original)
        end
      end
    end
  end
end
