class CreateTbCommerceProducts < ActiveRecord::Migration
  def change
    create_table :tb_commerce_products do |t|
      t.string :title
      t.text :description
      t.decimal :price, :precision => 8, :scale => 2
      t.string :slug
      t.index :slug, :unique => true
      t.timestamps null: false
    end
  end
end
