class CreateTbCommerceProductSkuOptions < ActiveRecord::Migration
  def change
    create_table :tb_commerce_product_sku_options do |t|
      t.references :tb_commerce_product_sku, null: false, index: {:name => 'index_tb_commerce_product_sku_options_on_product_sku_id'}, foreign_key: true
      t.references :tb_commerce_option, null: false, index: {:name => 'index_tb_commerce_product_sku_options_on_option_id'}, foreign_key: true
      t.timestamps null: false
    end
  end
end
