class AddFeaturedSortTitleAltToImageLinks < ActiveRecord::Migration
  def up
    change_table :tb_commerce_image_links do |t|
      t.string :title
      t.string :alt
      t.integer :sort
      t.boolean :is_featured, :default => false
    end
  end

  def down
    change_table :tb_commerce_image_links do |t|
      t.remove :title
      t.remove :alt
      t.remove :sort
      t.remove :is_featured
    end
  end
end
