class TbCommerce::Api::StatesController < TbCommerce::Api::BaseController

  def index
    country = Country[params.require(:country)]
    if country.blank?
      raise Spud::NotFoundError.new(:item => 'country')
    end
    @states = country.states
    expires_in 1.day, :public => true
    render 'index'
  end

end
