class TbCommerce::CreditCard

  # NOTE: This is not a real database model
  #
  # Using ActiveModel::Model allows us to treat a ruby object as if it were a model
  # This enables us to plug it into a form_for, run validations, and configure localized
  # strings in en.yml
  #
  include ActiveModel::Model

  attr_accessor :card_number, :card_ccv, :card_expiration, :billing_name, :billing_address, :billing_address_2,
    :billing_city, :billing_state, :billing_postal, :billing_country
end
