class TbCommerce::ProductCustomization < ActiveRecord::Base
  self.table_name = 'tb_commerce_product_customizations'

  validates :product, :customization, :presence => true

  belongs_to :product, :inverse_of => :product_customizations, :foreign_key => :tb_commerce_product_id
  belongs_to :customization, :inverse_of => :product_customizations, :foreign_key => :tb_commerce_customization_id

end
