json.cache! @product do
  json.(@product, :id, :tb_commerce_category_id, :title, :description, :price, :slug)
  json.skus do
    json.array! @product.product_skus do |sku|
      json.(sku, :id, :sku, :stock)
      json.price number_to_currency(:price)
    end
  end
end
