class CreateTbCommerceProductSkus < ActiveRecord::Migration
  def change
    create_table :tb_commerce_product_skus do |t|
      t.references :tb_commerce_product, :null => false, :index => true, :foreign_key => true
      t.string :sku, :null => false, :index => {:unique => true}
      t.decimal :add_price, :precision => 8, :scale => 2, :default => 0
      t.integer :stock, :default => 0
      t.timestamps null: false
    end
  end
end
