class CreateTbCommerceImages < ActiveRecord::Migration
  def change
    create_table :tb_commerce_images do |t|
      t.string :name #something to call this image in UI.
      t.references :imageable, polymorphic: true, index: true #we can attach these to almost anything
      t.attachment :image #the image itself

      t.timestamps null: false
    end
  end
end
