class CreateTbCommerceCartItems < ActiveRecord::Migration
  def change
    create_table :tb_commerce_cart_items do |t|
      t.references :tb_commerce_cart, index: true, foreign_key: true
      t.references :tb_commerce_product_sku, index: true, foreign_key: true
      t.string :description
      t.decimal :price, :precision => 8, :scale => 2
      t.integer :quantity, :default => 1
      t.string :configuration, :limit => 1000
      t.timestamps null: false
    end
  end
end
