class CreateTbCommerceTransactions < ActiveRecord::Migration
  def change
    create_table :tb_commerce_transactions do |t|
      t.references :tb_commerce_cart, index: true, foreign_key: true
      t.string :status, :default => 'pending'
      t.string :invoice_number
      t.string :gateway_transaction_id
      t.decimal :amount_charged, :precision => 8, :scale => 2
      t.string :billing_first_name
      t.string :billing_last_name
      t.string :billing_address
      t.string :billing_address_2
      t.string :billing_city
      t.string :billing_state
      t.string :billing_postal
      t.string :billing_country
      t.text :response_text
      t.timestamps null: false
    end
  end
end
