class CreateTbCommerceOrders < ActiveRecord::Migration
  def change
    create_table :tb_commerce_orders do |t|
      t.references :tb_commerce_cart, index: {:unique => true}, foreign_key: true
      t.integer :invoice_number
      t.string :status, :default => 'open'
      t.string :first_name
      t.string :last_name
      t.string :email
      t.string :phone
      t.string :address
      t.string :city
      t.string :state
      t.string :postal
      t.string :country
      t.string :tracking_number
      t.timestamps null: false
    end
  end
end
