class AddOrderIdToTransactions < ActiveRecord::Migration
  def up
    change_table :tb_commerce_transactions do |t|
      t.references :tb_commerce_order, :index => true, :foreign_key => true
      t.remove_references :tb_commerce_cart, :index => true, :foreign_key => true
      t.remove :invoice_number
    end
  end
  def down
    change_table :tb_commerce_transactions do |t|
      t.references :tb_commerce_cart, :index => true, :foreign_key => true
      t.string :invoice_number
      t.remove_references :tb_commerce_order, :index => true, :foreign_key => true
    end
  end
end
