class RemoveImageableFromTbCommerceImages < ActiveRecord::Migration
  def up
    remove_reference :tb_commerce_images, :imageable, polymorphic: true, index: true
  end

  def down
    change_table :tb_commerce_images do |t|
      t.references :imageable, polymorphic: true, index: true
    end
  end
end
